package com.ylx.web.controller.massage;


import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.ylx.massage.domain.CouponReceive;
import com.ylx.common.core.domain.R;
import com.ylx.massage.domain.vo.CouponReceiveVo;
import com.ylx.massage.service.CouponReceiveService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import lombok.extern.slf4j.Slf4j;
import org.springframework.web.bind.annotation.*;

import javax.annotation.Resource;
import java.util.List;

/**
 * 优惠券领取表(CouponReceive)表控制层
 *
 * @author makejava
 * @since 2024-05-14 11:25:44
 */
@RestController
@RequestMapping("couponReceive")
@Slf4j
@Api(tags = {"优惠劵认领"})
public class CouponReceiveController {
    /**
     * 服务对象
     */
    @Resource
    private CouponReceiveService couponReceiveService;

    /**
     * 分页查询所有数据
     *
     * @param page          分页对象
     * @param couponReceive 查询实体
     * @return 所有数据
     */
    @GetMapping("page")
    @ApiOperation("分页查询优惠认领列表")
    public R selectAll(Page<CouponReceive> page, CouponReceive couponReceive) {
        return R.ok(this.couponReceiveService.page(page, new QueryWrapper<>(couponReceive)));
    }

    /**
     * 通过主键查询单条数据
     *
     * @param id 主键
     * @return 单条数据
     */
    @GetMapping("getById")
    @ApiOperation("通过主键查询优惠认领")
    public R selectOne(String id) {
        return R.ok(this.couponReceiveService.getById(id));
    }

    /**
     * 新增数据
     *
     * @param couponReceive 实体对象
     * @return 新增结果
     */
    @PostMapping("submit")
    @ApiOperation("领取优惠卷")
    public R insert(@RequestBody CouponReceive couponReceive) {
        return R.ok(this.couponReceiveService.submit(couponReceive));
    }

    @PostMapping("myCoupon")
    @ApiOperation("我的优惠卷")
    public R<List<CouponReceiveVo>> myCoupon(@RequestBody CouponReceive couponReceive) {
        return R.ok(this.couponReceiveService.getByOpenId(couponReceive.getOpenid()));
    }
    /**
     * 删除数据
     *
     * @param idList 主键结合
     * @return 删除结果
     */
    @DeleteMapping("delete")
    @ApiOperation("用户删除优惠卷")
    public R delete(@RequestParam("idList") List<Long> idList) {
        return R.ok(this.couponReceiveService.removeByIds(idList));
    }
}

