package com.ylx.web.controller.massage;


import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.ylx.massage.domain.RefundVoucher;
import com.ylx.massage.service.RefundVoucherService;
import org.springframework.web.bind.annotation.*;
import com.ylx.common.core.domain.R;
import javax.annotation.Resource;
import java.io.Serializable;
import java.util.List;

/**
 * 退款单(RefundVoucher)表控制层
 *
 * @author makejava
 * @since 2024-07-02 17:42:09
 */
@RestController
@RequestMapping("refundVoucher")
public class RefundVoucherController  {
    /**
     * 服务对象
     */
    @Resource
    private RefundVoucherService refundVoucherService;

    /**
     * 分页查询所有数据
     *
     * @param page          分页对象
     * @param refundVoucher 查询实体
     * @return 所有数据
     */
    @GetMapping
    public R selectAll(Page<RefundVoucher> page, RefundVoucher refundVoucher) {
        return R.ok(this.refundVoucherService.page(page, new QueryWrapper<>(refundVoucher)));
    }

    /**
     * 通过主键查询单条数据
     *
     * @param id 主键
     * @return 单条数据
     */
    @GetMapping("{id}")
    public R selectOne(@PathVariable Serializable id) {
        return R.ok(this.refundVoucherService.getById(id));
    }

    /**
     * 新增数据
     *
     * @param refundVoucher 实体对象
     * @return 新增结果
     */
    @PostMapping
    public R insert(@RequestBody RefundVoucher refundVoucher) {
        return R.ok(this.refundVoucherService.save(refundVoucher));
    }

    /**
     * 修改数据
     *
     * @param refundVoucher 实体对象
     * @return 修改结果
     */
    @PutMapping
    public R update(@RequestBody RefundVoucher refundVoucher) {
        return R.ok(this.refundVoucherService.updateById(refundVoucher));
    }

    /**
     * 删除数据
     *
     * @param idList 主键结合
     * @return 删除结果
     */
    @DeleteMapping
    public R delete(@RequestParam("idList") List<Long> idList) {
        return R.ok(this.refundVoucherService.removeByIds(idList));
    }
}

