package com.ylx.web.controller.massage;


import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.ylx.common.core.controller.BaseController;
import com.ylx.common.core.domain.R;
import com.ylx.massage.domain.TFareSetting;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.web.bind.annotation.*;
import com.ylx.massage.service.TFareSettingService;
import javax.annotation.Resource;
import java.io.Serializable;
import java.util.List;

/**
 * 车费设置表(TFareSetting)表控制层
 *
 * @author makejava
 * @since 2024-08-22 17:41:00
 */
@RestController
@Api(tags = {"车费设置"})
@RequestMapping("tFareSetting")
public class TFareSettingController extends BaseController {
    /**
     * 服务对象
     */
    @Resource
    private TFareSettingService tFareSettingService;

    /**
     * 分页查询所有数据
     *
     * @param page         分页对象
     * @param tFareSetting 查询实体
     * @return 所有数据
     */
    @GetMapping("selectAll")
    @ApiOperation("分页查询数据")
    public R selectAll(Page<TFareSetting> page, TFareSetting tFareSetting) {
        return R.ok(this.tFareSettingService.page(page, new QueryWrapper<>(tFareSetting)));
    }

    /**
     * 通过主键查询单条数据
     *
     * @param id 主键
     * @return 单条数据
     */
    @GetMapping("{id}")
    @ApiOperation("查询单条数据")
    public R selectOne(@PathVariable Serializable id) {
        return R.ok(this.tFareSettingService.getById(id));
    }

    /**
     * 新增数据
     *
     * @param tFareSetting 实体对象
     * @return 新增结果
     */
    @PostMapping("add")
    @ApiOperation("新增数据")
    public R insert(@RequestBody TFareSetting tFareSetting) {
        return R.ok(this.tFareSettingService.add(tFareSetting));
    }

    /**
     * 修改数据
     *
     * @param tFareSetting 实体对象
     * @return 修改结果
     */
    @PostMapping("update")
    @ApiOperation("修改数据")
    public R update(@RequestBody TFareSetting tFareSetting) {
        return R.ok(this.tFareSettingService.updateFareSetting(tFareSetting));
    }

    /**
     * 删除数据
     *
     * @param idList 主键结合
     * @return 删除结果
     */
    @PostMapping("delete")
    public R delete(@RequestBody List<String> idList) {
        return R.ok(this.tFareSettingService.removeByIds(idList));
    }
}

