package com.ylx.web.controller.massage;


import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.ylx.common.core.controller.BaseController;
import com.ylx.common.core.domain.R;
import com.ylx.massage.domain.TSign;
import com.ylx.massage.service.TSignService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.web.bind.annotation.*;

import javax.annotation.Resource;
import java.io.Serializable;
import java.util.List;

/**
 * 签到表(TSign)表控制层
 *
 * @author makejava
 * @since 2024-08-12 10:52:24
 */
@RestController
@RequestMapping("tSign")
@Api(tags = {"签到表(TSign)表控制层"})
public class TSignController extends BaseController {
    /**
     * 服务对象
     */
    @Resource
    private TSignService tSignService;

    /**
     * 分页查询所有数据
     *
     * @param page  分页对象
     * @param tSign 查询实体
     * @return 所有数据
     */
    @GetMapping("selectAll")
    @ApiOperation("分页查询所有数据")
    public R selectAll(Page<TSign> page, TSign tSign) {
        return R.ok(this.tSignService.page(page, new QueryWrapper<>(tSign)));
    }

    /**
     * 通过主键查询单条数据
     *
     * @param id 主键
     * @return 单条数据
     */
    @GetMapping("{id}")
    @ApiOperation("通过主键查询单条数据")
    public R selectOne(@PathVariable Serializable id) {
        return R.ok(this.tSignService.getById(id));
    }

    /**
     * 新增数据
     *
     * @param tSign 实体对象
     * @return 新增结果
     */
    @PostMapping("add")
    @ApiOperation("新增数据")
    public R insert(@RequestBody TSign tSign) {
        return R.ok(this.tSignService.save(tSign));
    }

    /**
     * 修改数据
     *
     * @param tSign 实体对象
     * @return 修改结果
     */
    @PostMapping("update")
    @ApiOperation("修改数据")
    public R update(@RequestBody TSign tSign) {
        return R.ok(this.tSignService.updateById(tSign));
    }

    /**
     * 删除数据
     *
     * @param idList 主键结合
     * @return 删除结果
     */
    @PostMapping("delete")
    @ApiOperation("删除数据")
    public R delete(@RequestBody List<String> idList) {
        return R.ok(this.tSignService.removeByIds(idList));
    }
}

