package com.ylx.common.config;

import lombok.Data;
import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.stereotype.Component;

/**
 * @author jianlong
 * @date 2024-04-02 18:20
 */
@Data
@Component
@ConfigurationProperties(prefix = "wx")
public class WxPayConfig {


    /**
     * appid.
     */
    private String appId;

    /**
     * appSecret.
     */
    private String appSecret;

    /**
     * 微信支付商户号.
     */
    private String mchId;

    /**
     * 微信支付商户密钥.
     */
    private String mchKey;

    /**
     * 异步回调地址
     */
    private String notifyUrl;

    /**
     * 退款异步回调地址
     */
    private String refundNotify;

    /**
     * 证书地址
     */
    private String certPath;

    /**
     * 证书秘钥地址
     */
    private String certKeyPath;

    /**
     * 微信平台证书
     */
    private String platFormPath;

    private String msgDataFormat;


}
