package com.ylx.massage.domain;

import java.math.BigDecimal;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import com.ylx.common.annotation.Excel;
import com.ylx.common.core.domain.BaseEntity;

/**
 * 服务项目对象 ma_project
 *
 * @author ylx
 * @date 2024-03-20
 */
@ApiModel(value = "MaProject", description = "服务项目")
@Data
public class MaProject extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** id */
    @ApiModelProperty("id")
    private Long id;

    /** 项目名称 */
    @Excel(name = "项目名称")
    @ApiModelProperty("项目名称")
    private String projectName;

    /** 项目描述 */
    @Excel(name = "项目描述")
    @ApiModelProperty("项目描述")
    private String projectDescribe;

    /** 项目时长(分) */
    @Excel(name = "项目时长(分)")
    @ApiModelProperty("项目时长(分)")
    private Long projectDuration;

    /** 项目选择人数 */
    @Excel(name = "项目选择人数")
    @ApiModelProperty("项目选择人数")
    private Long projectUsersNum;

    /** 项目原价 */
    @Excel(name = "项目原价")
    @ApiModelProperty("项目原价")
    private BigDecimal projectOriginalPrice;

    /** 项目现价 */
    @Excel(name = "项目现价")
    @ApiModelProperty("项目现价")
    private BigDecimal projectCurrentPrice;

    /** 项目主图 */
    @Excel(name = "项目主图")
    @ApiModelProperty("项目主图")
    private String projectMasterImage;

    /** 项目详情图 */
    @Excel(name = "项目详情图")
    @ApiModelProperty("项目详情图")
    private String projectDetailImage;

    /** 是否启用(0否1是) */
    @Excel(name = "是否启用(0否1是)")
    @ApiModelProperty("是否启用(0否1是)")
    private Long projectIsEnable;

    /** 创建人 */
    @Excel(name = "创建人")
    @ApiModelProperty("创建人")
    private Long createUser;

    /** 修改人 */
    @Excel(name = "修改人")
    @ApiModelProperty("修改人")
    private Long updateUser;

    /** 是否删除(0否1是) */
    @ApiModelProperty("是否删除(0否1是)")
    @Excel(name = "是否删除(0否1是)")
    private Long isDelete;


}
