package com.ylx.massage.domain;

import com.alibaba.fastjson.JSONArray;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableLogic;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.handlers.FastjsonTypeHandler;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;
import lombok.experimental.Accessors;
import org.dom4j.tree.DefaultText;

import java.io.Serializable;
import java.math.BigDecimal;
import java.time.LocalDateTime;
import java.util.Date;
import java.util.List;

/**
 * 技师表
 */
@Getter
@Setter
@Accessors(chain = true)
@TableName(value = "t_js",autoResultMap = true)
@ApiModel(value = "TJs", description = "技师")
public class TJs implements Serializable {

    private static final long serialVersionUID = 1L;

    @TableId("id")
    @ApiModelProperty("Id")
    private String id;

    @TableField("c_open_id")
    @ApiModelProperty("cOpenId")
    private String cOpenId;

    @TableField("city")
    @ApiModelProperty("城市")
    private String city;

    @TableField("js_grade")
    @ApiModelProperty("技师等级")
    private Integer jsGrade;

    /**
     * 可预约项目编号 JsonArray
     */
    @TableField(value = "c_bh_list")
    @ApiModelProperty("可预约项目编号")
    private String cBhList;

    /**
     * 生活照 JsonArray
     */
    @TableField(value = "c_img_list",typeHandler = FastjsonTypeHandler.class)
    @ApiModelProperty("生活照 JsonArray")
    private JSONArray cImgList;

    /**
     * 身份证图片 JsonArray
     */
    @TableField(value = "c_sfz_img",typeHandler = FastjsonTypeHandler.class)
    @ApiModelProperty("身份证图片 JsonArray")
    private JSONArray cSfzImg;

    /**
     * 性别 0女 1男
     */
    @TableField("n_sex")
    @ApiModelProperty("性别 0女 1男")
    private Integer nSex;

    /**
     * 昵称
     */
    @TableField("c_nick_name")
    @ApiModelProperty("昵称")
    private String cNickName;

    /**
     * 头像
     */
    @TableField("c_portrait")
    @ApiModelProperty("头像")
    private String cPortrait;

    /**
     * 姓名
     */
    @TableField("c_name")
    @ApiModelProperty("姓名")
    private String cName;

    /**
     * 电话
     */
    @TableField("c_phone")
    @ApiModelProperty("电话")
    private String cPhone;

    /**
     * 地址
     */
    @TableField("c_address")
    @ApiModelProperty("地址")
    private String cAddress;

    /**
     * 健康证
     */
    @TableField("health_certificate")
    @ApiModelProperty("健康证")
    private String healthCertificate;

    /**
     * 营业执照
     */
    @TableField("business_license")
    @ApiModelProperty("营业执照")
    private String businessLicense;

    @TableField("certification")
    @ApiModelProperty("按摩师资格证")
    private String certification;

    @TableField("no_crime")
    @ApiModelProperty("无犯罪记录")
    private String noCrime;

    @TableField("dept_id")
    @ApiModelProperty("部门Id")
    private String deptId;

    /**
     * 白天免车费公里数
     */
    @TableField("daytime_mileage")
    @ApiModelProperty("白天免车费公里数")
    private BigDecimal daytimeMileage;

    /**
     * 白天免车费公里数
     */
    @TableField("nigth_mileage")
    @ApiModelProperty("夜间免车费公里数")
    private BigDecimal nigthMileage;

    /**
     * 个人简介
     */
    @TableField("c_jianjie")
    @ApiModelProperty("个人简介")
    private String cJianjie;

    /**
     * 评分
     */
    @TableField("n_star")
    @ApiModelProperty("评分")
    private Integer nStar;

    /**
     * 佣金比例
     */
    @TableField("n_bili")
    @ApiModelProperty("佣金比例")
    private Integer nBili;

    /**
     * 经度
     */
    @TableField("longitude")
    @ApiModelProperty("经度")
    private BigDecimal longitude;

    /**
     * 纬度
     */
    @TableField("latitude")
    @ApiModelProperty("纬度")
    private BigDecimal latitude;

    /**
     * 已服务数量
     */
    @TableField("n_num")
    @ApiModelProperty("已服务数量")
    private Integer nNum;



    /**
     * 服务状态	0 可服务	1 服务中 2不可服务
     */
    @TableField("n_status")
    @ApiModelProperty("服务状态\t0 可服务\t1 服务中 2不可服务")
    private Integer nStatus;

    /**
     * 上岗状态 0未上岗 1已上岗
     */
    @TableField("n_status2")
    @ApiModelProperty("上岗状态 -1未上岗 0已上岗")
    private Integer nStatus2;

    /**
     * 审核状态 0 未通过 1已通过
     */
    @TableField("n_tong")
    @ApiModelProperty("审核状态 0 未通过 1已通过 2驳回 3拉黑")
    private Integer nTong;

    /**
     * 注册时间
     */
    @TableField("c_time")
    @ApiModelProperty("注册时间")
    private Date cTime;

    /**
     * 是否带头像框 0否 1是
     */
    @TableField("n_b1")
    @ApiModelProperty("是否带头像框 0否 1是")
    private Integer nB1;

    /**
     * 是否是新技师 0否 1是
     */
    @TableField("n_b2")
    @ApiModelProperty("是否是新技师 0否 1是")
    private Integer nB2;

    /**
     * 是否有热度 0否 1是
     */
    @TableField("n_b3")
    @ApiModelProperty("是否有热度 0否 1是")
    private Integer nB3;

    /**
     * 创建时间
     */
    @TableField("dt_create_time")
    @ApiModelProperty("创建时间")
    private LocalDateTime dtCreateTime;

    @TableField("name")
    @ApiModelProperty("地址详细")
    private String name;

    @TableField("address")
    @ApiModelProperty("创建时间")
    private String address;

    @TableField("reason_refusal")
    @ApiModelProperty("退回原因")
    private String reasonRefusal;

    @ApiModelProperty("是否删除0否1是")
    @TableLogic
    private Integer isDelete;
    /**
     * 收藏人员数量
     */
    @TableField(exist = false)
    @ApiModelProperty("收藏人员数量")
    private Integer number;

    @TableField(exist = false)
    @ApiModelProperty("当前用户是否收藏")
    private Boolean isCollection;

    @TableField(exist = false)
    @ApiModelProperty("技师距离")
    private BigDecimal distance = BigDecimal.valueOf(10000L);

    @TableField(exist = false)
    @ApiModelProperty("1技师,2审核")
    private Integer pageType;

    @TableField(exist = false)
    @ApiModelProperty("技师项目")
    private List<TXiangmu> projects;

    @TableField(exist = false)
    @ApiModelProperty("技师评价")
    private List<TComment> comments;

    public String getcOpenId() {
        return cOpenId;
    }

    public void setcOpenId(String cOpenId) {
        this.cOpenId = cOpenId;
    }

    public String getcBhList() {
        return cBhList;
    }

    public void setcBhList(String cBhList) {
        this.cBhList = cBhList;
    }

    public JSONArray getcImgList() {
        return cImgList;
    }

    public void setcImgList(JSONArray cImgList) {
        this.cImgList = cImgList;
    }

    public JSONArray getcSfzImg() {
        return cSfzImg;
    }

    public void setcSfzImg(JSONArray cSfzImg) {
        this.cSfzImg = cSfzImg;
    }

    public Integer getnSex() {
        return nSex;
    }

    public void setnSex(Integer nSex) {
        this.nSex = nSex;
    }

    public String getcNickName() {
        return cNickName;
    }

    public void setcNickName(String cNickName) {
        this.cNickName = cNickName;
    }

    public String getcPortrait() {
        return cPortrait;
    }

    public void setcPortrait(String cPortrait) {
        this.cPortrait = cPortrait;
    }

    public String getcName() {
        return cName;
    }

    public void setcName(String cName) {
        this.cName = cName;
    }

    public String getcPhone() {
        return cPhone;
    }

    public void setcPhone(String cPhone) {
        this.cPhone = cPhone;
    }

    public String getcAddress() {
        return cAddress;
    }

    public void setcAddress(String cAddress) {
        this.cAddress = cAddress;
    }

    public String getcJianjie() {
        return cJianjie;
    }

    public void setcJianjie(String cJianjie) {
        this.cJianjie = cJianjie;
    }

    public Integer getnStar() {
        return nStar;
    }

    public void setnStar(Integer nStar) {
        this.nStar = nStar;
    }

    public Integer getnBili() {
        return nBili;
    }

    public void setnBili(Integer nBili) {
        this.nBili = nBili;
    }

    public Integer getnNum() {
        return nNum;
    }

    public void setnNum(Integer nNum) {
        this.nNum = nNum;
    }

    public Integer getnStatus() {
        return nStatus;
    }

    public void setnStatus(Integer nStatus) {
        this.nStatus = nStatus;
    }

    public Integer getnStatus2() {
        return nStatus2;
    }

    public void setnStatus2(Integer nStatus2) {
        this.nStatus2 = nStatus2;
    }

    public Integer getnTong() {
        return nTong;
    }

    public void setnTong(Integer nTong) {
        this.nTong = nTong;
    }

    public Date getcTime() {
        return cTime;
    }

    public void setcTime(Date cTime) {
        this.cTime = cTime;
    }

    public Integer getnB1() {
        return nB1;
    }

    public void setnB1(Integer nB1) {
        this.nB1 = nB1;
    }

    public Integer getnB2() {
        return nB2;
    }

    public void setnB2(Integer nB2) {
        this.nB2 = nB2;
    }

    public Integer getnB3() {
        return nB3;
    }

    public void setnB3(Integer nB3) {
        this.nB3 = nB3;
    }

    public LocalDateTime getDtCreateTime() {
        return dtCreateTime;
    }

    public void setDtCreateTime(LocalDateTime dtCreateTime) {
        this.dtCreateTime = dtCreateTime;
    }

    public Integer getNumber() {
        return number;
    }

    public void setNumber(Integer number) {
        this.number = number;
    }
}
