package com.ylx.massage.domain;


import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import com.ylx.common.annotation.Excel;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

/**
 * 技师数据统计(TJsDay)表实体类
 *
 * @author makejava
 * @since 2024-08-14 18:00:31
 */
@SuppressWarnings("serial")
@Data
@ApiModel(value = "TJsDay", description = "技师数据统计")
public class TJsDay extends Model<TJsDay> {
    //主键
    @ApiModelProperty("id")
    private String id;
    //在线时长
    @Excel(name = "在线时长")
    @ApiModelProperty("在线时长")
    private Integer onLine;
    //订单数
    @ApiModelProperty("订单数")
    @Excel(name = "订单数")
    private Integer orderNum;
    //营业额
    @ApiModelProperty("营业额")
    @Excel(name = "营业额")
    private BigDecimal turnover;
    //加钟数
    @ApiModelProperty("add_num")
    @Excel(name = "加钟数")
    private Integer addNum;
    //升级数
    @ApiModelProperty("升级数")
    @Excel(name = "升级数")
    private Integer upgradeNum;
    //充值
    @ApiModelProperty("充值")
    @Excel(name = "充值")
    private BigDecimal recharge;
    //技师id
    @ApiModelProperty("技师id")
    private String jsId;
    //技师openid
    @ApiModelProperty("技师openid")
    private String openId;
    //统计日期
    @ApiModelProperty("统计日期")
    @Excel(name = "统计日期")
    private String countDate;
    //技师姓名
    @ApiModelProperty("技师姓名")
    @Excel(name = "技师姓名")
    private String name;
    //部门id
    @ApiModelProperty("部门id")
    private String deptId;
    //部门名称
    @ApiModelProperty("部门名称")
    @Excel(name = "部门名称")
    private String deptName;
    //系统创建时间
    @ApiModelProperty("系统创建时间")
    private Date createTime;
    //系统修改时间
    @ApiModelProperty("系统修改时间")
    private Date updateTime;
    //是否删除0否1是
    @ApiModelProperty("是否删除0否1是")
    private Integer isDelete;

    @TableField(exist = false)
    @ApiModelProperty("起始时间")
    private String startTime;

    @TableField(exist = false)
    @ApiModelProperty("截止时间")
    private String endTime;


    /**
     * 获取主键值
     *
     * @return 主键值
     */
    @Override
    public Serializable pkVal() {
        return this.id;
    }
}

