package com.ylx.massage.enums;

import com.ylx.common.utils.StringUtils;
import lombok.Getter;
import org.apache.commons.compress.utils.Lists;

import java.util.ArrayList;
import java.util.List;

/**
 * @author jianlong
 * @date 2024-03-27 11:51
 * 订单状态枚举
 */
@Getter
public enum OrderStatusEnum {

    ALL(100, "全部"),

    //进行中(待接单,已接单,已到达,服务中)
    WAIT_JD(0, "待接单"),
    RECEIVED_ORDER(1, "已接单"),
    DEPART(6, "已出发"),
    ARRIVED(2, "已到达"),
    SERVICE(3, "服务中"),
    WAIT_EVALUATE(4, "待评价"),
    COMPLETE(5, "已完成"),
    WAIT_PAY(-1, "待付款"),
    CANCEL(-2, "已取消"),
    REFUSE(-3, "已拒绝");


    private final Integer code;
    private final String info;

    OrderStatusEnum(Integer code, String info) {
        this.code = code;
        this.info = info;
    }

    public static List<Enumproject> getStatusEnum() {

        ArrayList<Enumproject> objects = Lists.newArrayList();
        for (OrderStatusEnum value : OrderStatusEnum.values()) {
            Enumproject enumproject = new Enumproject();
            enumproject.setInfo(value.getInfo());
            enumproject.setCode(value.getCode());
            objects.add(enumproject);

        }
        return objects;
    }

    public static String getDescByCode(Integer code) {
        for (OrderStatusEnum value : OrderStatusEnum.values()) {
            if(value.getCode().equals(code)){
                return value.getInfo();
            }
        }
        return StringUtils.EMPTY;
    }

}
