package com.ylx.massage.service;

import java.util.List;

import com.ylx.common.core.domain.model.LoginUser;
import com.ylx.massage.domain.MaCarouselChart;
import com.ylx.massage.domain.vo.MaCarouselChartVo;

/**
 * 轮播图管理Service接口
 *
 * @author ylx
 * @date 2024-03-21
 */
public interface IMaCarouselChartService
{
    /**
     * 查询轮播图管理
     *
     * @param id 轮播图管理主键
     * @return 轮播图管理
     */
    public MaCarouselChart selectMaCarouselChartById(Long id);

    /**
     * 查询轮播图管理列表
     *
     * @param maCarouselChart 轮播图管理
     * @return 轮播图管理集合
     */
    public List<MaCarouselChartVo> selectMaCarouselChartList(MaCarouselChart maCarouselChart);

    /**
     * 新增轮播图管理
     *
     * @param maCarouselChart 轮播图管理
     * @return 结果
     */
    public int insertMaCarouselChart(MaCarouselChartVo maCarouselChart, LoginUser loginUser);

    /**
     * 修改轮播图管理
     *
     * @param maCarouselChart 轮播图管理
     * @return 结果
     */
    public int updateMaCarouselChart(MaCarouselChart maCarouselChart);

    /**
     * 批量删除轮播图管理
     *
     * @param ids 需要删除的轮播图管理主键集合
     * @return 结果
     */
    public int deleteMaCarouselChartByIds(Long[] ids);

    /**
     * 删除轮播图管理信息
     *
     * @param id 轮播图管理主键
     * @return 结果
     */
    public int deleteMaCarouselChartById(Long id);
}
