package com.ylx.massage.service;

import java.util.List;

import com.ylx.common.core.domain.model.LoginUser;
import com.ylx.massage.domain.MaProject;
import com.ylx.massage.domain.vo.MaProjectListVo;
import com.ylx.massage.domain.vo.MaProjectSaveVo;

/**
 * 服务项目Service接口
 *
 * @author ylx
 * @date 2024-03-20
 */
public interface IMaProjectService
{
    /**
     * 查询服务项目
     *
     * @param id 服务项目主键
     * @return 服务项目
     */
    public MaProjectListVo selectMaProjectById(Long id);

    /**
     * 查询服务项目列表
     *
     * @param maProject 服务项目
     * @return 服务项目集合
     */
    public List<MaProjectListVo> selectMaProjectList(MaProject maProject);

    /**
     * 新增服务项目
     *
     * @param maProject 服务项目
     * @return 结果
     */
    public int insertMaProject(MaProjectSaveVo maProject, LoginUser loginUser);

    /**
     * 修改服务项目
     *
     * @param maProject 服务项目
     * @return 结果
     */
    public int updateMaProject(MaProject maProject);

    /**
     * 批量删除服务项目
     *
     * @param ids 需要删除的服务项目主键集合
     * @return 结果
     */
    public int deleteMaProjectByIds(String[] ids);

    /**
     * 删除服务项目信息
     *
     * @param id 服务项目主键
     * @return 结果
     */
    public int deleteMaProjectById(Long id);
}
