package com.ylx.massage.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.ylx.common.core.domain.R;
import com.ylx.massage.domain.TOrder;
import com.ylx.massage.domain.vo.HomeBlock;

import java.math.BigDecimal;
import java.util.Date;
import java.util.List;


/**
 * 订单表 服务类
 */
public interface TOrderService extends IService<TOrder> {
    /**
     * 添加订单
     */
    public TOrder addOrder(TOrder order);

    /**
     * 支付订单
     */
    public R payOrder(TOrder order) throws Exception;

    /**
     * 拒绝订单
     */
    public Boolean jujue(TOrder order);

    /**
     * 确认服务完成
     * @param order
     * @return
     */
    public Boolean confirm(TOrder order);

    /**
     * 取消订单
     * @param order
     * @return
     */
    public Boolean cancle(TOrder order);


    public TOrder getByNo(String orderNo);

    /**
     * 分页查询领取数据
     * @param page
     * @param param
     * @return
     */
    public Page<TOrder> getAll(Page<TOrder>page, TOrder param);

    void takingOrders(TOrder order);

    void payNotifyOrder(String outTradeNo);

    Object updateAddressById(TOrder borrow);

    Object depart(TOrder order);

    Integer getOrderNum(String jsid, Date startDate, Date endDate);

    Integer getAddNum(String jsid, Date startDate, Date endDate);

    Integer getUpgradeNum(String id, Date startDate, Date endDate);

    BigDecimal getTurnover(String id, Date startDate, Date endDate);

    TOrder transferOrder(TOrder order);

    List<HomeBlock> getBlock(Date start, Date end, String deptId);
}
