package com.ylx.massage.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.ylx.common.core.domain.R;
import com.ylx.massage.domain.TRecharge;
import com.ylx.massage.domain.TWxUser;

import java.math.BigDecimal;
import java.util.Date;

/**
 * 充值记录表 服务类
 */
public interface TRechargeService extends IService<TRecharge> {

    TRecharge recharge(TRecharge recharge);

    TRecharge increaseAmount(String rechargeNo);

    R getPay(String setOutTradeNo, BigDecimal amount, String openId,String description,String attach) throws Exception;

    /**
     * 退款接口
     * 此方法根据给定的退款编号、交易ID和原始交易订单号处理退款请求。
     *
     * @param outRefundNo 商户系统内部的退款单号，对同一个退款单号多次提交退款请求，只退一次。
     * @param transactionId 支付交易号，通过此交易号可以追溯交易支付时的信息。
     * @param outTradeNo 商户系统内部的订单号，与transactionId不能同时为空。
     * @return 如果退款成功，返回退款成功的标识字符串；如果失败，返回错误信息字符串。
     */
    String refund(String outRefundNo, String transactionId, String outTradeNo, BigDecimal amount);

    BigDecimal getRecharge(String jsid, Date startDate, Date endDate);
}
